osg::State::DefineMap Struct Reference

`#include <State>`

## Public Types

typedef std::map< std::string, DefineStack > | DefineStackMap

## Public Member Functions

| DefineMap ()
bool | updateCurrentDefines ()

## Public Attributes

DefineStackMap | map
bool | changed
StateSet::DefineList | currentDefines

## Member Typedef Documentation

## DefineStackMap

typedef std::map<std::string, DefineStack> osg::State::DefineMap::DefineStackMap

## Constructor & Destructor Documentation

## DefineMap()

osg::State::DefineMap::DefineMap | ( |  | ) |

inline

References changed.

## Member Function Documentation

## updateCurrentDefines()

bool osg::State::DefineMap::updateCurrentDefines | ( |  | ) |

## Member Data Documentation

## changed

bool osg::State::DefineMap::changed

Referenced by osg::State::applyDefineList(), DefineMap(), osg::State::popDefineList(), and osg::State::pushDefineList().

## currentDefines

StateSet::DefineList osg::State::DefineMap::currentDefines

Referenced by osg::State::applyDefineList().

## map

DefineStackMap osg::State::DefineMap::map

Referenced by osg::State::applyDefineList(), osg::State::popDefineList(), and osg::State::pushDefineList().

The documentation for this struct was generated from the following file:

- State